Skip to main content
GET
Get custom field
Required scopes: accounts--my:ro

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Path Parameters

customFieldID
string
required

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

teamIDs
string<uuid>[]

The teams, that will see the custom field in ticket details.

displayName
string

The custom field label.

apiKey
string

The custom field unique key.

type
enum<string>

Custom field type. Value must be string

  • singleLine has 120 chars limit
  • multiLine has 1000 chars limit
  • date accepts YYYY-MM-DD format.
Available options:
singleLine,
multiLine,
date,
url
roleLevel
enum<string>

The custom field edit privileges.

Available options:
owner,
normal,
readOnly
status
enum<string>

The custom field state.

Available options:
active,
deactivated
tickets
integer

The number of tickets using custom field.